/*.form-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}
    */

form {
    background-color: #fff;
    padding: 25px 25px 5px 25px;
    border-radius: 12px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    width: 90%;
    max-width: 560px;
    min-width: 320px;
    margin-left: auto;
    margin-right: auto;
}

.maxHeight {
    max-height: 90vh;
    overflow: scroll;
}

.marginTop {
    margin-top: 100px;
}

label {
    /*
    display: inline-block;
    */
    margin-top: 12px;
    font-weight: 500;
}

input[type="text"],
input[type="email"],
select {
    width: 100%;
    padding: 8px;
    margin-top: 4px;
    border: 1px solid #ccc;
    border-radius: 6px;
    box-sizing: border-box;
    transition: border-color 0.3s;
    height: 40px;
    margin-bottom: 1rem;
}

input.valid,
select.valid {
    border-color: #28a745;
}

input.invalid,
select.invalid {
    border-color: #dc3545;
}

.checkbox-group {
    margin-top: 15px;
    text-align: center;
}

.checkbox-group.invalid label {
    color: #dc3545;
}

.warning {
    /*
    color: #d9534f;
    */
    font-size: 0.9em;
    margin-top: 10px;
    display: none;
}


/*
                button {
                    margin-top: 20px;
                    padding: 10px 20px;
                    border: none;
                    border-radius: 6px;
                    background-color: #007bff;
                    color: white;
                    font-size: 1em;
                    cursor: pointer;
                }
                    */

button:disabled {
    background-color: #aaa;
    cursor: not-allowed;
}

textarea {
    min-height: 120px;
    resize: vertical;
    width: 100%;
    border: 1px solid #ccc;
    border-radius: 6px;
    box-sizing: border-box;
    padding: 8px;
    line-height: 120%;
}